Bug 1017750 - Specification / Implementation version in manifest sometimes present multiple times or not present at all
Specification / Implementation version in manifest sometimes present multiple...
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: jboss-set
Nikoleta Ziakova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 08:44 EDT by Nikoleta Ziakova
Modified: 2017-10-09 20:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikoleta Ziakova 2013-10-10 08:44:22 EDT
(A) Multiple Specification version:
xerces/xercesImpl/2.9.1-redhat-4/xercesImpl-2.9.1-redhat-4.jar
org/opensaml/xmltooling/1.3.4.redhat-1/xmltooling-1.3.4.redhat-1.jar
org/opensaml/openws/1.4.4.redhat-2/openws-1.4.4.redhat-2.jar
org/opensaml/opensaml/2.5.3.redhat-2/opensaml-2.5.3.redhat-2.jar
org/jdom/jdom/1.1.2-redhat-2/jdom-1.1.2-redhat-2.jar
xalan/xalan/2.7.1-redhat-3/xalan-2.7.1-redhat-3.jar

(B) Multiple Implementation version:
xerces/xercesImpl/2.9.1-redhat-4/xercesImpl-2.9.1-redhat-4.jar
xml-resolver/xml-resolver/1.2.redhat-9/xml-resolver-1.2.redhat-9.jar
xom/xom/1.2.7-redhat-3/xom-1.2.7-redhat-3.jar
org/opensaml/xmltooling/1.3.4.redhat-1/xmltooling-1.3.4.redhat-1.jar
org/opensaml/openws/1.4.4.redhat-2/openws-1.4.4.redhat-2.jar
org/opensaml/opensaml/2.5.3.redhat-2/opensaml-2.5.3.redhat-2.jar
org/jdom/jdom/1.1.2-redhat-2/jdom-1.1.2-redhat-2.jar
xalan/serializer/2.7.1-redhat-3/serializer-2.7.1-redhat-3.jar
xalan/xalan/2.7.1-redhat-3/xalan-2.7.1-redhat-3.jar

(C) No Specification version:
asm/asm/3.3.1-redhat-4/asm-3.3.1-redhat-4.jar
xml-resolver/xml-resolver/1.2-redhat-2/xml-resolver-1.2-redhat-2.jar
antlr/antlr/2.7.7-redhat-2/antlr-2.7.7-redhat-2.jar
net/jcip/jcip-annotations/1.0-redhat-3/jcip-annotations-1.0-redhat-3.jar
org/hibernate/hibernate-envers/4.2.6.Final-redhat-1/hibernate-envers-4.2.6.Final-redhat-1.jar
org/hibernate/hibernate-core/4.2.6.Final-redhat-1/hibernate-core-4.2.6.Final-redhat-1.jar
org/hibernate/hibernate-entitymanager/4.2.6.Final-redhat-1/hibernate-entitymanager-4.2.6.Final-redhat-1.jar
org/hibernate/hibernate-infinispan/4.2.6.Final-redhat-1/hibernate-infinispan-4.2.6.Final-redhat-1.jar
org/osgi/org.osgi.compendium/4.2.0-redhat-2/org.osgi.compendium-4.2.0-redhat-2.jar
org/codehaus/jackson/jackson-mapper-asl/1.9.9-redhat-2/jackson-mapper-asl-1.9.9-redhat-2.jar
org/codehaus/jackson/jackson-jaxrs/1.9.9-redhat-2/jackson-jaxrs-1.9.9-redhat-2.jar
org/codehaus/jackson/jackson-xc/1.9.9-redhat-2/jackson-xc-1.9.9-redhat-2.jar
org/apache/velocity/velocity/1.7-redhat-2/velocity-1.7-redhat-2.jar
org/jacorb/jacorb/2.3.2-redhat-4/jacorb-2.3.2-redhat-4.jar
org/jboss/ironjacamar/ironjacamar-jdbc/1.0.21.Final-redhat-1/ironjacamar-jdbc-1.0.21.Final-redhat-1.jar
org/jboss/ironjacamar/ironjacamar-common-spi/1.0.21.Final-redhat-1/ironjacamar-common-spi-1.0.21.Final-redhat-1.jar
org/jboss/ironjacamar/ironjacamar-common-api/1.0.21.Final-redhat-1/ironjacamar-common-api-1.0.21.Final-redhat-1.jar
org/jboss/ironjacamar/ironjacamar-common-impl/1.0.21.Final-redhat-1/ironjacamar-common-impl-1.0.21.Final-redhat-1.jar
org/jboss/ironjacamar/ironjacamar-core-impl/1.0.21.Final-redhat-1/ironjacamar-core-impl-1.0.21.Final-redhat-1.jar
org/jboss/ironjacamar/ironjacamar-deployers-common/1.0.21.Final-redhat-1/ironjacamar-deployers-common-1.0.21.Final-redhat-1.jar
org/jboss/ironjacamar/ironjacamar-validator/1.0.21.Final-redhat-1/ironjacamar-validator-1.0.21.Final-redhat-1.jar
org/jboss/ironjacamar/ironjacamar-core-api/1.0.21.Final-redhat-1/ironjacamar-core-api-1.0.21.Final-redhat-1.jar
org/jboss/ironjacamar/ironjacamar-spec-api/1.0.21.Final-redhat-1/ironjacamar-spec-api-1.0.21.Final-redhat-1.jar
com/h2database/h2/1.3.168-redhat-2/h2-1.3.168-redhat-2.jar

(D) No Implementation version:
xerces/xercesImpl/2.9.1-redhat-4/xercesImpl-2.9.1-redhat-4.jar
xml-resolver/xml-resolver/1.2.redhat-9/xml-resolver-1.2.redhat-9.jar
xom/xom/1.2.7-redhat-3/xom-1.2.7-redhat-3.jar
org/opensaml/xmltooling/1.3.4.redhat-1/xmltooling-1.3.4.redhat-1.jar
org/opensaml/openws/1.4.4.redhat-2/openws-1.4.4.redhat-2.jar
org/opensaml/opensaml/2.5.3.redhat-2/opensaml-2.5.3.redhat-2.jar
org/jdom/jdom/1.1.2-redhat-2/jdom-1.1.2-redhat-2.jar
xalan/serializer/2.7.1-redhat-3/serializer-2.7.1-redhat-3.jar
xalan/xalan/2.7.1-redhat-3/xalan-2.7.1-redhat-3.jar

For more details see: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-manifest/51/artifact/test-output.txt

Version-Release number of selected component (if applicable):
6.2.0 ER5.1
Comment 1 Nikoleta Ziakova 2013-11-04 07:49:35 EST
Results for EAP 6.2.0 ER7.2 Maven repository zip:

(A) Multiple Specification version:
-

(B) Multiple Implementation version:
-

(C) No Specification version:
jboss-eap-6.2.0.GA-maven-repository/xalan/xalan/2.7.1-redhat-3/xalan-2.7.1-redhat-3.jar -- Specification-Version present multiple times in the manifest but not present in main section.
jboss-eap-6.2.0.GA-maven-repository/asm/asm/3.3.1-redhat-5/asm-3.3.1-redhat-5.jar
jboss-eap-6.2.0.GA-maven-repository/xml-resolver/xml-resolver/1.2-redhat-2/xml-resolver-1.2-redhat-2.jar
jboss-eap-6.2.0.GA-maven-repository/antlr/antlr/2.7.7-redhat-2/antlr-2.7.7-redhat-2.jar
jboss-eap-6.2.0.GA-maven-repository/org/hibernate/hibernate-envers/4.2.7.SP1-redhat-1/hibernate-envers-4.2.7.SP1-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/hibernate/hibernate-core/4.2.7.SP1-redhat-1/hibernate-core-4.2.7.SP1-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/hibernate/hibernate-entitymanager/4.2.7.SP1-redhat-1/hibernate-entitymanager-4.2.7.SP1-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/hibernate/hibernate-infinispan/4.2.7.SP1-redhat-1/hibernate-infinispan-4.2.7.SP1-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/codehaus/jackson/jackson-mapper-asl/1.9.9-redhat-2/jackson-mapper-asl-1.9.9-redhat-2.jar
jboss-eap-6.2.0.GA-maven-repository/org/codehaus/jackson/jackson-jaxrs/1.9.9-redhat-2/jackson-jaxrs-1.9.9-redhat-2.jar
jboss-eap-6.2.0.GA-maven-repository/org/codehaus/jackson/jackson-xc/1.9.9-redhat-2/jackson-xc-1.9.9-redhat-2.jar
jboss-eap-6.2.0.GA-maven-repository/org/jacorb/jacorb/2.3.2.redhat-5/jacorb-2.3.2.redhat-5.jar
jboss-eap-6.2.0.GA-maven-repository/org/jboss/ironjacamar/ironjacamar-jdbc/1.0.21.Final-redhat-1/ironjacamar-jdbc-1.0.21.Final-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/jboss/ironjacamar/ironjacamar-common-spi/1.0.21.Final-redhat-1/ironjacamar-common-spi-1.0.21.Final-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/jboss/ironjacamar/ironjacamar-common-api/1.0.21.Final-redhat-1/ironjacamar-common-api-1.0.21.Final-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/jboss/ironjacamar/ironjacamar-common-impl/1.0.21.Final-redhat-1/ironjacamar-common-impl-1.0.21.Final-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/jboss/ironjacamar/ironjacamar-core-impl/1.0.21.Final-redhat-1/ironjacamar-core-impl-1.0.21.Final-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/jboss/ironjacamar/ironjacamar-deployers-common/1.0.21.Final-redhat-1/ironjacamar-deployers-common-1.0.21.Final-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/jboss/ironjacamar/ironjacamar-validator/1.0.21.Final-redhat-1/ironjacamar-validator-1.0.21.Final-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/jboss/ironjacamar/ironjacamar-core-api/1.0.21.Final-redhat-1/ironjacamar-core-api-1.0.21.Final-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/org/jboss/ironjacamar/ironjacamar-spec-api/1.0.21.Final-redhat-1/ironjacamar-spec-api-1.0.21.Final-redhat-1.jar
jboss-eap-6.2.0.GA-maven-repository/com/h2database/h2/1.3.168-redhat-2/h2-1.3.168-redhat-2.jar

(D) No Implementation version:
xalan/xalan/2.7.1-redhat-3/xalan-2.7.1-redhat-3.jar -- Implementation-Version present multiple times in the manifest but not present in main section.
jboss-eap-6.2.0.GA-maven-repository/xml-resolver/xml-resolver/1.2-redhat-2/xml-resolver-1.2-redhat-2.jar
jboss-eap-6.2.0.GA-maven-repository/antlr/antlr/2.7.7-redhat-2/antlr-2.7.7-redhat-2.jar

Note You need to log in before you can comment on or make changes to this bug.